Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Doesn't work with php 7.2.1  (Read 329 times)

0 Members and 1 Guest are viewing this topic.

ruzakuku

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Doesn't work with php 7.2.1
« on: March 03, 2019, 08:00:59 am »

Hello!

I will stop using php 5.x and installed 7.2.1 as an option on a Webmin/CentoOS7 system.

Unfortunately Coppermine doesn't work on this config:

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /home/xxx/public_html/include/functions.inc.php:183 Stack trace: #0 /home/xxx/public_html/include/init.inc.php(171): cpg_db_connect() #1 /home/xxx/public_html/index.php(26): require('/home/xxx...') #2 {main} thrown in /home/xxx/public_html/include/functions.inc.php on line 183

Any suggestion?

Thank you!
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4659
    • Windsurf.me
Re: Doesn't work with php 7.2.1
« Reply #1 on: March 03, 2019, 08:39:15 am »

I assume you are using CPG1.5.x. Upgrading to 1.6.x should fix you problem.

Please see this thread for details - https://forum.coppermine-gallery.net/index.php/topic,79013.msg383037.html#msg383037
Logged
It is a mistake to think you can solve any major problems just with potatoes.

ruzakuku

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: Doesn't work with php 7.2.1
« Reply #2 on: March 04, 2019, 06:05:11 am »

Hello,
Thank you for your reply,
Indeed I thought I upgraded ... but for some reasons I did not :(
That is done now, and all is working!
Logged
Pages: [1]   Go Up
 

Page created in 0.014 seconds with 20 queries.